#!/bin/bash
cd "$(dirname "$0")"
set -ex
docker run --rm -it -v "$(pwd)":/app \
  -v /usr/local/bundle:/usr/local/bundle ruby:3.2.1-slim-bullseye sh \
  -c "apt-get update; \
      apt-get install -y cmake build-essential; \
      cd /app; \
      gem install --default bundler:2.4.7; \
      gem update --system; \
      bundle update --bundler; \
      bundle outdated; \
      bundle update; \
      bundle install;"
